## kodi-inputstream-rtmp-dmo 19.0.1

=== depends/common/openssl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(openssl)

if(NOT CPU AND CMAKE_SYSTEM_PROCESSOR)
  set(CPU ${CMAKE_SYSTEM_PROCESSOR})
endif()

if(CORE_SYSTEM_NAME MATCHES "android")
  if(CPU MATCHES arm64)
    set(OPENSSL_TARGET android-arm64)
  elseif(CPU MATCHES arm)
    set(OPENSSL_TARGET android-arm)
  elseif(CPU MATCHES i686)
    set(OPENSSL_TARGET android-x86)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "linux" OR CORE_SYSTEM_NAME MATCHES "rbpi")
  if(CPU STREQUAL x86_64 OR ARCH STREQUAL x86_64)
    set(OPENSSL_TARGET linux-x86_64)
  elseif(CPU MATCHES "i.86")
    set(OPENSSL_TARGET linux-x86)
  elseif(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR ARCH MATCHES aarch64)
    set(OPENSSL_TARGET linux-aarch64)
  elseif(CPU MATCHES arm OR ARCH MATCHES arm OR CPU MATCHES cortex-a7 OR CPU MATCHES arm1176jzf-s)
    set(OPENSSL_TARGET linux-armv4)
  else()
    message(WARNING "Could not detect bitness for CPU ${CPU} - assuming 32bit")
    set(OPENSSL_TARGET linux-generic32 no-asm)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "ios" OR CORE_SYSTEM_NAME MATCHES "darwin_embedded")
  set(OPENSSL_TARGET iphoneos-cross)
elseif(CORE_SYSTEM_NAME MATCHES "osx")
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(OPENSSL_TARGET darwin64-x86_64-cc)
  else()
    set(OPENSSL_TARGET darwin-i386-cc)
  endif()
endif()

list(APPEND configure_command ${CMAKE_COMMAND} -E env)
list(APPEND configure_command ANDROID_NDK=${TOOLCHAIN})
list(APPEND configure_command AR=${CMAKE_AR})
list(APPEND configure_command CC=${CMAKE_C_COMPILER})
list(APPEND configure_command CFLAGS=${CMAKE_C_FLAGS})
list(APPEND configure_command CPPFLAGS=${CMAKE_CPP_FLAGS})
list(APPEND configure_command CXX=${CMAKE_CXX_COMPILER})
list(APPEND configure_command CXXFLAGS=${CMAKE_CXX_FLAGS})
list(APPEND configure_command INSTALL_PREFIX=)
list(APPEND configure_command LDFLAGS=${CMAKE_LD_FLAGS})
list(APPEND configure_command RANLIB=${CMAKE_RANLIB})
list(APPEND configure_command <SOURCE_DIR>/Configure)
list(APPEND configure_command ${OPENSSL_TARGET})
list(APPEND configure_command no-shared zlib)
if(PLATFORM MATCHES appletvos)
  list(APPEND configure_command no-async)
endif()
list(APPEND configure_command --prefix=${OUTPUT_DIR})
list(APPEND configure_command --with-zlib-include=${OUTPUT_DIR}/include)
list(APPEND configure_command --with-zlib-lib=${OUTPUT_DIR}/lib)
list(APPEND configure_command COMMAND sed -ie "s|PROGRAMS=|PROGRAMS=#|" ${PROJECT_SOURCE_DIR}/Makefile)
list(APPEND configure_command COMMAND sed -ie "s|-isysroot $.CROSS_TOP./SDKs/$.CROSS_SDK. ||" ${PROJECT_SOURCE_DIR}/Makefile)

include(ExternalProject)

externalproject_add(openssl
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND ${configure_command}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install_sw WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})")

=== debian/changelog ===
kodi-inputstream-rtmp-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Dec 2021 16:01:57 +0100

kodi-inputstream-rtmp-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 08:08:37 +0200

kodi-inputstream-rtmp-dmo (1:3.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jan 2021 10:27:23 +0100

kodi-inputstream-rtmp-dmo (2.0.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Feb 2020 14:40:01 +0100

kodi-inputstream-rtmp-dmo (2.0.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Jan 2020 08:21:22 +0100

kodi-inputstream-rtmp-dmo (2.0.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Jan 2020 01:29:00 +0100

kodi-inputstream-rtmp-dmo (2.0.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Oct 2019 13:31:31 +0200

kodi-inputstream-rtmp-dmo (2.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Feb 2019 10:54:15 +0100

kodi-inputstream-rtmp-dmo (2.0.4-dmo2) unstable; urgency=medium

  * Should depends on kodi 18 not 17

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 17:26:36 +0100

kodi-inputstream-rtmp-dmo (2.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 16:59:30 +0100

kodi-inputstream-rtmp-dmo (1.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Mar 2018 12:18:41 +0100

kodi-inputstream-rtmp-dmo (1.0.4-dmo4) unstable; urgency=medium

  * Change section to video

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2017 08:05:45 +0100

kodi-inputstream-rtmp-dmo (1.0.4-dmo3) unstable; urgency=medium

  * Should Depends on kodi.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Dec 2017 11:27:47 +0100

kodi-inputstream-rtmp-dmo (1.0.4-dmo2) unstable; urgency=medium

  * Add libp8-platform-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Dec 2017 09:17:15 +0100

kodi-inputstream-rtmp-dmo (1.0.4-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Dec 2017 08:27:55 +0100

=== debian/control ===
Source: kodi-inputstream-rtmp-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/notspiff/inputstream.rtmp
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 pkg-config, libssl-dev (>= 1.1.1d~), librtmp-dev, ninja-build

Package: kodi-inputstream-rtmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:INPUTSTREAMAPI}
Description: Kodi input stream addon for RTMP.
 The Real Time Messaging Protocol (RTMP) is a proprietary network protocol
 developed by Adobe Inc. to transmit audio, video and other data over the
 Internet from a media server to a flash player.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DUSE_LTO=1

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/notspiff/inputstream.rtmp/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-inputstream-rtmp-dmo 20.3.0

=== debian/changelog ===
kodi-inputstream-rtmp-dmo (1:20.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:40:12 +0100

kodi-inputstream-rtmp-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Dec 2021 13:14:31 +0100

kodi-inputstream-rtmp-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 07:55:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/notspiff/inputstream.rtmp
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
- pkg-config, libssl-dev (>= 1.1.1d~), librtmp-dev, ninja-build
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+ pkgconf, libssl-dev (>= 1.1.1d~), librtmp-dev, ninja-build
 
 Package: kodi-inputstream-rtmp
 Architecture: any

=== debian/watch ===
version=4

https://github.com/notspiff/inputstream.rtmp/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-inputstream-rtmp-dmo 21.1.2

=== debian/changelog ===
kodi-inputstream-rtmp-dmo (1:21.1.2-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 02:18:32 +0100

kodi-inputstream-rtmp-dmo (1:21.1.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 10:43:50 +0200

kodi-inputstream-rtmp-dmo (1:21.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 22:02:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/notspiff/inputstream.rtmp
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  pkgconf, libssl-dev (>= 1.1.1d~), librtmp-dev, ninja-build
 
 Package: kodi-inputstream-rtmp

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_SHARED_LIBS=1 -DUSE_LTO=1

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/notspiff/inputstream.rtmp/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
